#
# This rpm is based on the git tree from:
# git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
# version is date of the younger commit
#

Summary:	Extra linux kernel firmware files
Name:   	kernel-firmware-extra
Version:	20090723
Release:	%manbo_mkrel 1
License:	Proprietary
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# kernel-firmware tarball is generated from the git tree mentioned above, 
# by simply cloning it, doing a rm -rf linux-firmware/.git/ 
# and tar -Ycf kernel-firmware-extra-version.tar.lzma linux-firmware
Source: 	kernel-firmware-extra-%{version}.tar.lzma
BuildRequires:	kernel-firmware >= 20090604-1mnb2
Conflicts:	kernel-firmware < 20090604-1mnb2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
This package contains extra redistributable etc. firmwares for in-kernel
drivers. It is shared for all kernels.

%prep
%setup -q -n linux-firmware

# don't include firmware already in kernel-firmware package
for fir in `rpm -ql kernel-firmware | grep '^/lib/firmware/' | \
            sed 's|^/lib/firmware/||'`; do
	[ -f "$fir" ] || continue
	rm -f "$fir"
done
for dir in `find . -type d | sed -e 's|^\.||' -e 's|^/||'`; do
	rmdir -p --ignore-fail-on-non-empty $dir
done

# remove files provided in iwlwifi-*-ucode* packages
rm -f LICENCE.iwlwifi_firmware
rm -f iwlwifi-{{3945,4965,5150}-2,5000-1}.ucode

# remove files provided in rt*-firmware packages
rm -f LICENSE.ralink-firmware.txt
rm -f rt2561{,s}.bin rt2661.bin rt28{6,7}0.bin rt73.bin

# remove unwanted source files
rm -f dsp56k/bootstrap.asm keyspan_pda/*.S
# FIXME: usbdux*.bin firmware should be in kernel-firmware or another
# separate package (not in non-free), usbdux*.bin is GPL licensed
rm -rf usbdux

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/LICENCE.*

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENCE.*
/lib/firmware/*


%changelog
* Fri Jul 24 2009 Thomas Backlund <tmb@mandriva.org> 20090723-1mnb2
+ Revision: 399154
- update to 2009-07-23

* Fri May 29 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090514-2mnb2
+ Revision: 380763
- Prevent some more source files to ship with main package.

* Fri May 29 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090514-1mnb2
+ Revision: 380700
- Updated to 20090514
- Use lzma for source tarball.

* Mon Mar 30 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090212-2mnb2
+ Revision: 362324
- Firmwares not splitted anymore by license from kernel-firmware package
  (#49195):
  * removed previous conflicts not needed anymore, and now uneeded
    obsoletes.
  * rebuild against kernel-firmware >= 20090111-2mnb2

* Wed Mar 18 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090212-1mnb2
+ Revision: 357429
- Updated to 20090212

* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090120-1mnb2
+ Revision: 341924
- Updated to 20090120

* Fri Dec 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20081112-2mnb2
+ Revision: 310798
- Rebuild against kernel-firmware-20080922-2mnb2 (to provide all
  non-free firmware here).

* Fri Dec 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20081112-1mnb2
+ Revision: 310727
- import kernel-firmware-extra


